Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Modify TP/SL Order (SIGNED)

Applicable for modifying TP/SL orders

Request URL

POST https://cloud-api.wooxpro.com/contract/private/modify-tp-sl-order

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl 
 -H 'X-BM-KEY:{{AccessKey}}'
 -H 'X-BM-TIMESTAMP:{{currentTime}}'
 -H 'X-BM-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "trigger_price":"2100",
  "executive_price":"2100",
  "price_type":2,
  "order_id":"37758000001",
  "client_order_id":"",
  "plan_category":2,
  "category": "limit"
}'
https://cloud-api.wooxpro.com/contract/private/modify-tp-sl-order
FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)
order_idStringNoOrder ID(order_id or client_order_id must give one)
client_order_idStringNoClient order ID(order_id or client_order_id must give one)
trigger_priceStringYesTrigger price
executive_priceStringNoExecution price for order, mandatory when plan_category = 1
price_typeIntYesTrigger price type
-1=last_price
-2=fair_price
plan_categoryIntNoTP/SL type
-1=TP/SL
-2=Position TP/SL
categoryStringNoOrder type, Position TP/SL default market
-limit
-market

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": "220609666322019"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
FieldTypeDescription
order_idStringOrder ID